Skip to main content
POST
/
api
/
v1
/
qa
/
card
/
{card_id}
Create Question
curl --request POST \
  --url https://api.example.com/api/v1/qa/card/{card_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "question": "<string>"
}
'
{
  "answer": "<string>",
  "answered_at": "2023-11-07T05:31:56Z",
  "answered_by": "<string>",
  "asked_by": "<string>",
  "card_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "question": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

card_id
string
required

Body

application/json

Schema for creating a Q&A item.

question
string
required
Minimum string length: 1

Response

Successful Response

Schema for Q&A response.

answer
string | null
required
answered_at
string<date-time> | null
required
answered_by
string | null
required
asked_by
string
required
card_id
string
required
created_at
string<date-time>
required
id
string
required
question
string
required
Last modified on May 8, 2026